
#ifndef XGFXLIGHTMAPARRAY_H
#define XGFXLIGHTMAPARRAY_H

#include "xasset.h"
#include "xgfximage.h"

class XGfxLightmapArray : public XAsset
{
public:
    XGfxLightmapArray();
    virtual ~XGfxLightmapArray();

    // Override Clear and ParseData from XAsset
    virtual void Clear() override;
    virtual void ParseData(XDataStream *aStream) override;

    XGfxImage *primary;
    XGfxImage *secondary;
};

#endif // XGFXLIGHTMAPARRAY_H
